package com.casic.dcms.ui;

import android.widget.LinearLayout;

import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;

import com.casic.dcms.R;
import com.casic.dcms.adapter.SubViewPagerAdapter;
import com.casic.dcms.base.AndroidxBaseActivity;
import com.casic.dcms.databinding.ActivityStreetLightBinding;
import com.casic.dcms.ui.fragment.LightOnListFragment;
import com.casic.dcms.ui.fragment.LightOnMapFragment;

import java.util.ArrayList;
import java.util.List;

public class StreetlightManagerActivity extends AndroidxBaseActivity<ActivityStreetLightBinding> {

    private final String[] pageTitles = new String[]{"路灯分布", "路灯列表"};

    @Override
    protected void setupTopBarLayout() {
        viewBinding.titleBarLayout.titleView.setText("路灯管理");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void initData() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new LightOnMapFragment());
        fragmentList.add(new LightOnListFragment());
        SubViewPagerAdapter adapter = new SubViewPagerAdapter(getSupportFragmentManager(), pageTitles, fragmentList);
        viewBinding.viewPager.setAdapter(adapter);
        //绑定TabLayout
        viewBinding.tabLayout.setupWithViewPager(viewBinding.viewPager);
        LinearLayout linearLayout = (LinearLayout) viewBinding.tabLayout.getChildAt(0);
        linearLayout.setShowDividers(LinearLayout.SHOW_DIVIDER_MIDDLE);
        linearLayout.setDividerDrawable(ContextCompat.getDrawable(this, R.drawable.layout_divider_vertical));
    }

    @Override
    protected void initEvent() {

    }
}